function Opinions = EvolveModel_mod(InitialOpinions, AgentParameters, InteractionNetwork, total_time, ModelLabel)

    Opinions = nan*ones(size(InitialOpinions,1),total_time); % Create the opinion vector
    Opinions(:,1) = InitialOpinions; % Initialize the opinions

    switch ModelLabel
        case 'BC'
            BC_ModelEvolution
        case 'BEBA'
            BEBA_ModelEvolution
        case 'CB'
            CB_ModelEvolution
        case 'FJ'
            FJ_ModelEvolution
    end

end